kdk::KFileWidget(3)

NAME
kdk::KFileWidget - The KFileWidget class.

SYNOPSIS

#include <kfilewidget.h>

Inherits QWidget.

  Signals

void clicked ()

  Public Member Functions

KFileWidget (QWidget *parent=nullptr)
void setMainText (QString str)
设置主要文本
void setSubText (QString str)
设置次级文本
void setIcon (QIcon icon)
设置图片
void setBorderRadius (int radius)
设置圆角
void setBorderRadius (int bottomLeft, int topLeft, int topRight, int bottomRight)
设置圆角

  Protected Member Functions

void paintEvent (QPaintEvent *event)
bool eventFilter (QObject *watched, QEvent *event)

Detailed Description

The KFileWidget class.

Since
    2.4.1.0

Member Function Documentation

  void kdk::KFileWidget::setBorderRadius (int bottomLeft, int topLeft, int topRight, int bottomRight)

设置圆角

Parameters
    bottomLeft
    topLeft
    topRight
    bottomRight

  void kdk::KFileWidget::setBorderRadius (int radius)

设置圆角

Parameters
    radius

  void kdk::KFileWidget::setIcon (QIcon icon)

设置图片

Parameters
    icon

  void kdk::KFileWidget::setMainText (QString str)

设置主要文本

Parameters
    str

  void kdk::KFileWidget::setSubText (QString str)

设置次级文本

Parameters
    str

Author

Generated automatically by Doxygen for LIBKYSDK-APPLICATIONS from the source code.